Subject: bug#47908: Cross building disk image for ARM Asus C201 fails

From: phodina <[email-masked]>
Date: Fri, 05 Nov 2021 18:17:23 +0000

Hi Maxime,

On Friday, November 5th, 2021 at 10:59 AM, Maxime Devos <[email-masked]> wrote:

> phodina via Bug reports for GNU Guix schreef op vr 05-11-2021 om 09:24
>
> [+0000]:
>
> > Hi Martin & Maxime,
> >
> > I've tested if the system image builds after merging patches for the
> >
> > vboot-utils package.
> >
> > $ guix system build -s armhf-linux test.scm
>
> That's an emulated build (with QEMU), not a cross-build.
>
> To cross-build, something like
>
> $ guix system build --target=arm-linux-gnueabihf test.scm
>
> is necessary. Emulated builds function rather differently
>
> from cross-builds (the former mostly looks like native compilation to
>
> guix), so the former command isn't a good test.
>
> Greetings,
>
> Maxime
>

Thanks for highlighting the fact. I've intended to run the cross-compilation as you said not run "native" build in QEMU.

The command in full:

[env]$ ./pre-inst-env guix system build --target=arm-linux-gnueabihf gnu/system/examples/asus-c201.tmpl

Then again the build is successful but without the hardware I can't verify it boots successfully.

Petr